import { webpack } from '@morjs/utils';
export interface ResolverPluginOptions {
    srcPaths: string[];
    defaultNpmMiniProgramDist?: string;
}
/**
 * webpack enhance-resolver 插件
 * 1. 将绝对路径的引用限制在 srcPath 之内
 * 2. 支持多端产物目录检索
 */
export default class ResolverPlugin {
    name: string;
    options: ResolverPluginOptions;
    constructor(options: ResolverPluginOptions);
    apply(resolver: webpack.Resolver): void;
    /**
     * 限制绝对路径文件查找 以及 允许多个 srcPaths 查询
     */
    restrictToAndAllowMultipleSrcPaths(resolver: webpack.Resolver): void;
    /**
     * 多端编译的 npm 查找支持, 适配 微信的 miniprogram_dist 逻辑
     */
    searchInMultiDist(resolver: webpack.Resolver): void;
}
